pcl::BRISKSignature512 Struct Reference
Module common

A point structure representing the Binary Robust Invariant Scalable Keypoints (BRISK). More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

| BRISKSignature512 ()=default
| BRISKSignature512 (float _scale, float _orientation)

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | scale = 0.f
float | orientation = 0.f
unsigned char | descriptor [64] = {0}

## Friends

std::ostream & | operator<< (std::ostream &os, const BRISKSignature512 &p)

## Detailed Description

A point structure representing the Binary Robust Invariant Scalable Keypoints (BRISK).

Definition at line 1606 of file point_types.hpp.

## Constructor & Destructor Documentation

## BRISKSignature512() [1/2]

pcl::BRISKSignature512::BRISKSignature512 | ( |  | ) |

inline default

## BRISKSignature512() [2/2]

pcl::BRISKSignature512::BRISKSignature512 | ( | float | _scale,
|  | float | _orientation
| ) |  |

inline

Definition at line 1615 of file point_types.hpp.

## Member Function Documentation

## descriptorSize()

static constexpr int pcl::BRISKSignature512::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1611 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const BRISKSignature512 & | p
| ) |  |

friend

## Member Data Documentation

## descriptor

unsigned char pcl::BRISKSignature512::descriptor[64] = {0}

Definition at line 1610 of file point_types.hpp.

## orientation

float pcl::BRISKSignature512::orientation = 0.f

Definition at line 1609 of file point_types.hpp.

## scale

float pcl::BRISKSignature512::scale = 0.f

Definition at line 1608 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp